{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/PackageImpl.eGet(IZZ)Ljava/lang/Object;",
  "numberOfDefinitions": 2,
  "calls": {
    "Lorg/eclipse/uml2/uml/internal/impl/PackageImpl.getOwnedStereotypes()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getElementImports()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getClientDependencies()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicGet(IZZ)Ljava/lang/Object;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PackageImpl.getNamespace()Lorg/eclipse/uml2/uml/Namespace;": 2,
    "Lorg/eclipse/emf/ecore/impl/EModelElementImpl.getEAnnotations()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PackageImpl.getTemplateBindings()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/common/util/SubsetSupersetEObjectResolvingEList.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I[I)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PackageImpl.getOwnedTemplateSignature()Lorg/eclipse/uml2/uml/TemplateSignature;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getPackageImports()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PackageImpl.basicGetOwnedTemplateSignature()Lorg/eclipse/uml2/uml/TemplateSignature;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PackageImpl.basicGetOwningTemplateParameter()Lorg/eclipse/uml2/uml/TemplateParameter;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PackageImpl.getPackageMerges()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PackageImpl.getPackagedElements()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PackageImpl.getOwningTemplateParameter()Lorg/eclipse/uml2/uml/TemplateParameter;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PackageImpl.getOwnedTypes()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PackageImpl.basicGetNestingPackage()Lorg/eclipse/uml2/uml/Package;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PackageImpl.getOwnedMembers()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.basicGetNameExpression()Lorg/eclipse/uml2/uml/StringExpression;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PackageImpl.basicGetNamespace()Lorg/eclipse/uml2/uml/Namespace;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PackageImpl.basicGetOwner()Lorg/eclipse/uml2/uml/Element;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PackageImpl.getOwner()Lorg/eclipse/uml2/uml/Element;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PackageImpl.getTemplateParameter()Lorg/eclipse/uml2/uml/TemplateParameter;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PackageImpl.getProfileApplications()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getNameExpression()Lorg/eclipse/uml2/uml/StringExpression;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getOwnedRules()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getOwnedComments()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getMembers()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PackageImpl.getNestedPackages()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getImportedMembers()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/common/util/SubsetSupersetEObjectContainmentWithInverseEList$Resolving.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I[II)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PackageImpl.getVisibility()Lorg/eclipse/uml2/uml/VisibilityKind;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PackageImpl.getOwnedElements()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getQualifiedName()Ljava/lang/String;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PackageImpl.getNestingPackage()Lorg/eclipse/uml2/uml/Package;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PackageImpl.getURI()Ljava/lang/String;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getName()Ljava/lang/String;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PackageImpl.basicGetTemplateParameter()Lorg/eclipse/uml2/uml/TemplateParameter;": 2
  }
}